package logicland2.block;

import java.awt.Graphics;

import logicland2.Brushable;
import logicland2.CustomPanel;
import logicland2.Pos;

public class Empty extends Block {

	public Empty() {
		// Do nothing.
	}
	
	@Override
	public Block copy() {
		Block output = new Empty();
		populateCopy(output);
		return output;
	}

	@Override
	public void draw(CustomPanel panel, Graphics graphics, Pos pos) {
		// Do nothing.
	}

	@Override
	public Brushable getNextVariation() {
		return this;
	}

	@Override
	public Brushable getPreviousVariation() {
		return this;
	}

	@Override
	public boolean isWireConnectable() {
		return false;
	}

	@Override
	public boolean connectsOnSide(int side) {
		return false;
	}
	
}
