package logicland2;

import java.awt.Graphics;

public interface Brushable {

	boolean addToWorld(World world, Pos pos);
	
	void draw(CustomPanel panel, Graphics graphics, Pos pos);
	
	Brushable getNextVariation();
	
	Brushable getPreviousVariation();
	
	boolean canOverlapBlock();
	
}
